Subject: Re: bug#66647: Installation of RPMs produced by ‘guix pack’ is super slow

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 17 Jan 2024 17:21:11 -0500

Hello,

Simon Tournier <[email-masked]> writes:

> Hi,
>
> On Mon, 15 Jan 2024 at 10:12, Ludovic Courtès <[email-masked]> wrote:
>
>>> We could mention that other package managers than yum should be
>>> preferred in a "@quotation Note", due to a performance problem when
>>> handling modern RPMs as those made by Guix; or we could close this and
>>> wait for yum to have become completely irrelevant (which seems like in a
>>> year or so, last I checked the RHEL end-of-life dates).
>>>
>>> Is someone volunteering to add the note?  Or should we close this?
>>
>> Yeah maybe let’s just a short note warning against old versions of ‘yum’
>> and close this issue.
>
> I am proposing [1]:
>
> 1 file changed, 8 insertions(+)
> doc/guix.texi | 8 ++++++++
>
> modified   doc/guix.texi
> @@ -7299,6 +7299,14 @@ Invoking guix pack
>  sudo rpm --install --prefix=/opt /gnu/store/...-hello.rpm
>  @end example
>
> +@quotation Warning
> +Rely on @command{rpm --install} for installing an RPM archive and avoid
> +@command{yum install} or related.  The generated RPM archive will
> +install faster when using @command{rpm} than when using @command{yum}.
> +The performances of @command{yum} when installing generated RPM archive
> +could be detrimental compared to installing using @command{rpm} tool.
> +@end quotation
> +

Instead of wording it in a way that make it seems 'rpm' is the only tool
to be preferred, I'd say something like

--8<---------------cut here---------------start------------->8--- Older
versions of the @command{yum} command is known to have performance
problems when installing a Guix-generated RPM package.  Prefer to use
modern alternatives such as the @command{dnf} or the @command{rpm}
commands.
--8<---------------cut here---------------end--------------->8---

Otherwise, LGTM!  Thanks for volunteering to write it!

-- 
Thanks,
Maxim